﻿package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.MouseEvent;
	import flash.geom.Point;
	import flash.utils.setInterval;
     import flash.geom.ColorTransform;
	 
	 
	public class Liner extends Sprite
	{
		public var balls:Array
		public function Liner()
		{
			balls = new Array();
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			setInterval(buildScreen,1);
			stage.addEventListener(MouseEvent.MOUSE_MOVE,clickHandler);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			balls = new Array();
		}
		private function clickHandler(e:MouseEvent):void
		{
			var pt:Point = new Point(e.stageX,e.stageY);
			var obj:Object = {"posx":this.globalToLocal(pt).x,"posy":this.globalToLocal(pt).y,"angle":0,"rayon":(Math.random()*100 + 60),"centerX":this.globalToLocal(pt).x, "centerY":this.globalToLocal(pt).y};
			balls.push(obj);
			balls.sortOn(["posx"],[Array.NUMERIC]);
		}
		
		private function buildScreen():void
		{
			this.graphics.clear();
			for(var i:Number = 0;i<balls.length;i++){
				
				graphics.beginFill(0x000000,2);
				graphics.drawRect(balls[i].posx,balls[i].posy,100,100);
				graphics.endFill();
				graphics.lineStyle(2,0xffffff,10); 

				
				if(i>0){
					graphics.moveTo(balls[i-1].posx,balls[i-1].posy);
					graphics.lineTo(balls[i].posx,balls[i].posy);
					
					
					
			}
				graphics.lineStyle();
				//set the new position
				
					
				balls[i].posy = balls[i].centerY + Math.sin(balls[i].angle*Math.PI/350)*balls[i].rayon;
				balls[i].posx = balls[i].centerY + Math.sin(balls[i].angle*Math.PI/90)*balls[i].rayon;
				balls[i].posx = balls[i].centerX + Math.sin(balls[i].angle*Math.PI/160)*balls[i].rayon;
				balls[i].angle++;
			}
		}
	}
}